/*Технические требования:
Считать с помощью модального окна браузера число, которое введет пользователь. 
Вывести в консоли все простые числа от 1 до введенного пользователем числа.
Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.
Не обязательное задание продвинутой сложности:
Проверить, что введенное значение является целым числом, и больше единицы. Если данные условия не соблюдаются, повторять вывод окна на экран до тех пор, пока не будет введено целое число больше 1.
Максимально оптимизировать алгоритм, чтобы он выполнялся как можно быстрее для больших чисел.
Считать два числа, m и n. Вывести в консоль все простые числа в диапазоне от m до n (меньшее из введенных чисел будет m, бОльшее будет n). Если хотя бы одно из чисел не соблюдает условия валидации, указанные выше, вывести сообщение об ошибке, и спросить оба числа заново. */


function simpleRange(input) {
    let i;
    let simpleValues = [];
    for (i = 2; i <= input; i++) {
        let isSimple = true;
        let j;
        for (j = 2; j < i; j++) {
            if (i % j == 0) {
                isSimple = false;
                break;
            }
        }
        if (isSimple) {
            simpleValues.push(i);
            //console.log(i)
        }
    }
    simpleValues.forEach(i=>console.log(i));
}
let input = Number(prompt("Write please a number greater than one"));

simpleRange(input);
